Main Page Modules Data Structures File List Data Fields Globals Related Pages

# fileIndexEntry_s Struct Reference

## Data Fields
const char * | baseName
int | baseNameLen
alNum | pkgNum
int | fileFlags

## Detailed Description

A file to be installed/removed.

Definition at line 82 of file rpmal.c.

## Field Documentation

const char* fileIndexEntry_s::baseName

| File basename. Definition at line 84 of file rpmal.c. Referenced by fieCompare, rpmalAdd, and rpmalAllFileSatisfiesDepend.

int fileIndexEntry_s::baseNameLen

| Definition at line 85 of file rpmal.c. Referenced by fieCompare, rpmalAdd, and rpmalAllFileSatisfiesDepend.

int fileIndexEntry_s::fileFlags

| Definition at line 87 of file rpmal.c. Referenced by rpmalAdd, and rpmalAllFileSatisfiesDepend.

alNum fileIndexEntry_s::pkgNum

| Containing package index. Definition at line 86 of file rpmal.c. Referenced by rpmalAdd, rpmalAllFileSatisfiesDepend, and rpmalDel.

The documentation for this struct was generated from the following file:

- lib/rpmal.c